// <auto-generated>
//  automatically generated by the FlatBuffers compiler, do not modify
// </auto-generated>

namespace JS.MyGladiator.ChattingServer.Common.Protocol
{

using global::System;
using global::FlatBuffers;

public struct RequestConnection : IFlatbufferObject
{
  private Table __p;
  public ByteBuffer ByteBuffer { get { return __p.bb; } }
  public static void ValidateVersion() { FlatBufferConstants.FLATBUFFERS_1_11_1(); }
  public static RequestConnection GetRootAsRequestConnection(ByteBuffer _bb) { return GetRootAsRequestConnection(_bb, new RequestConnection()); }
  public static RequestConnection GetRootAsRequestConnection(ByteBuffer _bb, RequestConnection obj) { return (obj.__assign(_bb.GetInt(_bb.Position) + _bb.Position, _bb)); }
  public void __init(int _i, ByteBuffer _bb) { __p = new Table(_i, _bb); }
  public RequestConnection __assign(int _i, ByteBuffer _bb) { __init(_i, _bb); return this; }

  public string SessionID { get { int o = __p.__offset(4); return o != 0 ? __p.__string(o + __p.bb_pos) : null; } }
#if ENABLE_SPAN_T
  public Span<byte> GetSessionIDBytes() { return __p.__vector_as_span<byte>(4, 1); }
#else
  public ArraySegment<byte>? GetSessionIDBytes() { return __p.__vector_as_arraysegment(4); }
#endif
  public byte[] GetSessionIDArray() { return __p.__vector_as_array<byte>(4); }

  public static Offset<JS.MyGladiator.ChattingServer.Common.Protocol.RequestConnection> CreateRequestConnection(FlatBufferBuilder builder,
      StringOffset SessionIDOffset = default(StringOffset)) {
    builder.StartTable(1);
    RequestConnection.AddSessionID(builder, SessionIDOffset);
    return RequestConnection.EndRequestConnection(builder);
  }

  public static void StartRequestConnection(FlatBufferBuilder builder) { builder.StartTable(1); }
  public static void AddSessionID(FlatBufferBuilder builder, StringOffset SessionIDOffset) { builder.AddOffset(0, SessionIDOffset.Value, 0); }
  public static Offset<JS.MyGladiator.ChattingServer.Common.Protocol.RequestConnection> EndRequestConnection(FlatBufferBuilder builder) {
    int o = builder.EndTable();
    return new Offset<JS.MyGladiator.ChattingServer.Common.Protocol.RequestConnection>(o);
  }
};


}
